Subject: [mpls] Poll for draft on EXP Bits to WG draft

From: George Swallow <[email-masked]>
Date: Mon, 05 May 2008 18:08:55 -0400

This begins a one week poll to determine support for making

http://tools.ietf.org/wg/mpls/draft-andersson-mpls-expbits-def-00.txt

a WG doc.

As background, early in the MPLS work, these bits were always intend for
various uses as COS bits and other functions imbedded in the DS byte of the
IP header.  They were called experimental only in that, at the time the
encaps draft was written, there was no consensus on what to do with the
bits.

The term experimental has lead various people and SDOs to expect more
freedom in defining these bits than ever was intended.  This draft seeks to
correct that.

_______________________________________________
mpls mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mpls

---

From: "Andrew G. Malis" <[email-masked]>
Date: Mon, 05 May 2008 20:36:04 -0400

I am in favor of making this a WG draft.

Thanks,
Andy

---

From: Ian Stanley <[email-masked]>
Date: Tue, 06 May 2008 12:04:04 +1000

I support this.

Cheers
ian

On 6/5/08 8:08 AM, "George Swallow" <[email-masked]> wrote:George Swallow

> freedom in defining these bits than ever was intended.  This draft seeks to

Regards,
Ian Stanley
Architecture Implementation
Network Technology | Engineering
02 9396 8508
0419 257221

This communication may contain CONFIDENTIAL or copyright information of
Telstra Corporation Limited (ABN 33 051 775 556). If you are not an intended
recipient, you MUST NOT keep, forward, copy, use, save or rely on this
communication, and any such action is unauthorised and prohibited. If you
have received this communication in error, please reply to this email to
notify the sender of its incorrect delivery, and then delete both it and
your reply. Thank you.

---

From: Alexander Vainshtein <[email-masked]>
Date: Tue, 6 May 2008 09:35:38 +0300

In favor.

Regards,
             Sasha

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of George Swallow
> Sent: Tuesday, May 06, 2008 1:09 AM
> To: [email-masked]
> Subject: [mpls] Poll for draft on EXP Bits to WG draft
>

---

From: Francois Le Faucheur IMAP <[email-masked]>
Date: Tue, 6 May 2008 11:16:15 +0200

Hello,

I am in favor of renaming the "EXP" field.

A couple of small points:
	* draft-andersson uses "EXP bits" and "EXP field" and also uses "CoS  
bits". For its Diffserv and ECN usage, this field is not structured  
in bits and instead used as a set of codepoints. So I recommend the  
document refers to the old field as the "EXP field" (and not "EXP  
bits") and define a new name as "CoS field" (and not the "CoS bits").  
RFC3270 and RFC5129 already use "EXP field".
	* draft-andersson proposes the name of "CoS" for the field. This  
captures reasonably well its Diffserv usage, but probably not so well  
its ECN usage. We should be able to come up with a name that captures  
both.

Francois

---

From: Scott Brim <[email-masked]>
Date: Tue, 06 May 2008 06:59:50 -0400

> its ECN usage. We should be able to come up with a name that captures  

"CoS" also seems inadequate to me because (1) it's already been heavily 
used to mean less than we need to mean here, so it will confuse readers, 
and (2) "service" implies something about end-to-end service which is 
more than we want to mean.

So now I'm obligated to suggest an alternative :-).  To include ECN and 
PHB/PSC treatments, perhaps the name could be "Congestion Handling 
Indication", or simply "Per-Hop Treatment Indication"?

swb

---

From: Stewart Bryant <[email-masked]>
Date: Tue, 06 May 2008 12:51:08 +0100

> http://tools.ietf.org/wg/mpls/draft-andersson-mpls-expbits-def-00.txt
I support this draft becoming a WG document.

Stewart

---

From: "Luyuan Fang (lufang)" <[email-masked]>
Date: Tue, 6 May 2008 08:15:51 -0400

Support.
Luyuan 

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of
George Swallow (swallow)
Sent: 05 May 2008 18:09
To: [email-masked]
Subject: [mpls] Poll for draft on EXP Bits to WG draft

a WG doc.

As background, early in the MPLS work, these bits were always intend for
various uses as COS bits and other functions imbedded in the DS byte of
the IP header.  They were called experimental only in that, at the time
the encaps draft was written, there was no consensus on what to do with
the bits.

The term experimental has lead various people and SDOs to expect more
freedom in defining these bits than ever was intended.  This draft seeks
to correct that.

---

From: John Kenney <[email-masked]>
Date: Tue, 06 May 2008 05:44:22 -0700

I agree with Francois and Scott that CoS is too narrow and carries the 
baggage of "service."  I suggest "Traffic Management" field.  Scheduling 
class, drop priority, and congestion notification are all aspects of 
traffic management.  The term traffic management has about the right 
scope; it is broad enough to cover the current usages with the 
additional flexibility contemplated in section 3, but it is narrow 
enough to convey real meaning.

I also support using "field" consistently instead of "bits."

I support making this a WG draft.

John Kenney

---

From: "David Sinicrope" <[email-masked]>
Date: Tue, 6 May 2008 08:18:13 -0500

I'm in favor of making this a working group draft.
-David 

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of
George Swallow
Sent: Monday, May 05, 2008 6:09 PM
To: [email-masked]
Subject: [mpls] Poll for draft on EXP Bits to WG draft

a WG doc.

---

From: Thomas Nadeau <[email-masked]>
Date: Tue, 6 May 2008 09:32:54 -0400

Support.

---

From: Ron Bonica <[email-masked]>
Date: Tue, 06 May 2008 10:29:04 -0400

support

---

From: "Zafar Ali (zali)" <[email-masked]>
Date: Tue, 6 May 2008 10:34:32 -0400

In favor. 

Thanks

Regards... Zafar  

> Behalf Of George Swallow (swallow)
> As background, early in the MPLS work, these bits were always 
> intend for various uses as COS bits and other functions 
> imbedded in the DS byte of the IP header.  They were called 
> experimental only in that, at the time the encaps draft was 
> written, there was no consensus on what to do with the bits.
> 
> The term experimental has lead various people and SDOs to 
> expect more freedom in defining these bits than ever was 
> intended.  This draft seeks to correct that.
>

---

From: Danny McPherson <[email-masked]>
Date: Tue, 6 May 2008 08:35:52 -0600

> I also support using "field" consistently instead of "bits."

I agree with the above, which can be worked out in
subsequent revisions, and also support as WG draft.

-danny

---

From: "Adrian Farrel" <[email-masked]>
Date: Tue, 6 May 2008 16:55:33 +0100

Support
----- Original Message ----- 
From: "George Swallow" <[email-masked]>
To: <[email-masked]>
Sent: Monday, May 05, 2008 11:08 PM
Subject: [mpls] Poll for draft on EXP Bits to WG draft

> the
> to

---

From: Luca Martini <[email-masked]>
Date: Tue, 06 May 2008 10:27:18 -0600

Yes, I am in favor of making this a WG draft.

Luca

---

From: Thomas Knoll <[email-masked]>
Date: Tue, 6 May 2008 19:30:43 +0200 (CEST)

Yes, this draft closes a gap and should become a working group document.

However, Loa, please have a look at the following points:
* missing abstract
* within 1. Introduction on page 3
    "... that was publshed as RFC 3032.C However ..."
* typo on page 6 within
    "... Section 2 (bullet 3) on page 6 ofis now changed to: ..."
* presumably an error within the changed text
    "... endpoints are not CoS-capable, ..."  should certainly
    remain as
    "... endpoints are not ECN-capable, ..."
* typo on page 7 within
    "... onto the laabel stack. ..."

Regards,
Thomas

---

From: Phil Bedard <[email-masked]>
Date: Tue, 6 May 2008 09:14:26 -0400

In favor of this as a WG document.

I also support the concerns that have been expressed with regards to  
the field being named CoS, if it can be used for multiple functions.   
CoS is also widely used for the L2 .1P User Priority bits/field.  I  
would suggest a name like the Traffic Flow Control field.

Phil

---

From: Monique Morrow <[email-masked]>
Date: Wed, 07 May 2008 00:52:35 -0700

Support also

/m

---

From: Ping Pan <[email-masked]>
Date: Thu, 08 May 2008 10:56:19 -0700

In favor

---

From: "Nitin Bahadur" <[email-masked]>
Date: Mon, 12 May 2008 17:30:53 -0700

Support.

> Sent: Monday, May 05, 2008 3:09 PM
> To: [email-masked]